# Class: StateTimeline

## StateTimeline()

#### new StateTimeline()

NB: Attributes not available here - use connectedCallback to reference

Source:
  - alpha/state-timeline.js, line 213

### Members

#### $ :function

Mini jQuery-like shadow dom selector (see constructor)

##### Type:

- function

Source:
  - alpha/state-timeline.js, line 141

#### $ :function

Mini jQuery-like shadow dom selector (see constructor)

##### Type:

- function

Source:
  - alpha/state-timeline.js, line 141

#### $ :function

Mini jQuery-like shadow dom selector (see constructor)

##### Type:

- function

Source:
  - alpha/state-timeline.js, line 141

#### $$ :function

Mini jQuery-like shadow dom multi-selector (see constructor)

##### Type:

- function

Source:
  - alpha/state-timeline.js, line 147

#### $$ :function

Mini jQuery-like shadow dom multi-selector (see constructor)

##### Type:

- function

Source:
  - alpha/state-timeline.js, line 147

#### $$ :function

Mini jQuery-like shadow dom multi-selector (see constructor)

##### Type:

- function

Source:
  - alpha/state-timeline.js, line 147

#### _iCount

Holds a count of how many instances of this component are on the page Used to ensure a unique id if needing to add one dynamically

Source:
  - alpha/state-timeline.js, line 151

#### _iCount

Holds a count of how many instances of this component are on the page Used to ensure a unique id if needing to add one dynamically

Source:
  - alpha/state-timeline.js, line 151

#### _iCount

Holds a count of how many instances of this component are on the page Used to ensure a unique id if needing to add one dynamically

Source:
  - alpha/state-timeline.js, line 151

#### online

Are we online?

Source:
  - alpha/state-timeline.js, line 133

#### online

Are we online?

Source:
  - alpha/state-timeline.js, line 133

#### online

Are we online?

Source:
  - alpha/state-timeline.js, line 133

#### opts

Runtime configuration settings

Source:
  - alpha/state-timeline.js, line 180

#### opts

Runtime configuration settings

Source:
  - alpha/state-timeline.js, line 180

#### opts

Runtime configuration settings

Source:
  - alpha/state-timeline.js, line 180

#### states :HTMLCollectionOf.<Element>

LIVE ref to all state divs - updates automatically as new states are added

##### Type:

- HTMLCollectionOf.<Element>

Source:
  - alpha/state-timeline.js, line 247

#### states :HTMLCollectionOf.<Element>

LIVE ref to all state divs - updates automatically as new states are added

##### Type:

- HTMLCollectionOf.<Element>

Source:
  - alpha/state-timeline.js, line 247

#### states :HTMLCollectionOf.<Element>

LIVE ref to all state divs - updates automatically as new states are added

##### Type:

- HTMLCollectionOf.<Element>

Source:
  - alpha/state-timeline.js, line 247

#### uib

Is UIBUILDER loaded?

Source:
  - alpha/state-timeline.js, line 135

#### uib

Is UIBUILDER loaded?

Source:
  - alpha/state-timeline.js, line 135

#### uib

Is UIBUILDER loaded?

Source:
  - alpha/state-timeline.js, line 135

#### version

Component version

Source:
  - alpha/state-timeline.js, line 128

#### version

Report the current component version string

Source:
  - alpha/state-timeline.js, line 206

#### version

Component version

Source:
  - alpha/state-timeline.js, line 128

#### version

Report the current component version string

Source:
  - alpha/state-timeline.js, line 206

#### version

Component version

Source:
  - alpha/state-timeline.js, line 128

#### version

Report the current component version string

Source:
  - alpha/state-timeline.js, line 206

#### (static) observedAttributes

Makes HTML attribute change watched

Source:
  - alpha/state-timeline.js, line 199

#### (static) observedAttributes

Makes HTML attribute change watched

Source:
  - alpha/state-timeline.js, line 199

#### (static) observedAttributes

Makes HTML attribute change watched

Source:
  - alpha/state-timeline.js, line 199

### Methods

#### attributeChangedCallback(attrib, oldVal, newVal)

Handle watched attributes NOTE: On initial startup, this is called for each watched attrib set in HTML - BEFORE connectedCallback is called. Attribute values can only ever be strings

##### Parameters:

Name | Type | Description
--- | --- | ---
`attrib` | string | The name of the attribute that is changing
`oldVal` | string | The old value of the attribute
`newVal` | string | The new value of the attribute

Source:
  - alpha/state-timeline.js, line 299

#### attributeChangedCallback(attrib, oldVal, newVal)

Handle watched attributes NOTE: On initial startup, this is called for each watched attrib set in HTML - BEFORE connectedCallback is called. Attribute values can only ever be strings

##### Parameters:

Name | Type | Description
--- | --- | ---
`attrib` | string | The name of the attribute that is changing
`oldVal` | string | The old value of the attribute
`newVal` | string | The new value of the attribute

Source:
  - alpha/state-timeline.js, line 299

#### attributeChangedCallback(attrib, oldVal, newVal)

Handle watched attributes NOTE: On initial startup, this is called for each watched attrib set in HTML - BEFORE connectedCallback is called. Attribute values can only ever be strings

##### Parameters:

Name | Type | Description
--- | --- | ---
`attrib` | string | The name of the attribute that is changing
`oldVal` | string | The old value of the attribute
`newVal` | string | The new value of the attribute

Source:
  - alpha/state-timeline.js, line 299

#### config(config) → {object}

OPTIONAL. Update runtime configuration, return complete config

##### Parameters:

Name | Type | Description
--- | --- | ---
`config` | object | undefined | If present, partial or full set of options. If undefined, fn returns the current full option settings

Source:
  - alpha/state-timeline.js, line 326

##### Returns:

The current full option settings

Type
  object

#### config(config) → {object}

OPTIONAL. Update runtime configuration, return complete config

##### Parameters:

Name | Type | Description
--- | --- | ---
`config` | object | undefined | If present, partial or full set of options. If undefined, fn returns the current full option settings

Source:
  - alpha/state-timeline.js, line 326

##### Returns:

The current full option settings

Type
  object

#### config(config) → {object}

OPTIONAL. Update runtime configuration, return complete config

##### Parameters:

Name | Type | Description
--- | --- | ---
`config` | object | undefined | If present, partial or full set of options. If undefined, fn returns the current full option settings

Source:
  - alpha/state-timeline.js, line 326

##### Returns:

The current full option settings

Type
  object

#### connectedCallback()

Runs when an instance is added to the DOM

Source:
  - alpha/state-timeline.js, line 226

#### connectedCallback()

Runs when an instance is added to the DOM

Source:
  - alpha/state-timeline.js, line 226

#### connectedCallback()

Runs when an instance is added to the DOM

Source:
  - alpha/state-timeline.js, line 226

#### disconnectedCallback()

Runs when an instance is added to the DOM

Source:
  - alpha/state-timeline.js, line 280

#### disconnectedCallback()

Runs when an instance is added to the DOM

Source:
  - alpha/state-timeline.js, line 280

#### disconnectedCallback()

Runs when an instance is added to the DOM

Source:
  - alpha/state-timeline.js, line 280

#### (async) doInheritStyles(url)

Optionally apply an external linked style sheet (called from connectedCallback)

##### Parameters:

Name | Type | Description
--- | --- | ---
`url` | * | The URL for the linked style sheet

Source:
  - alpha/state-timeline.js, line 336

#### (async) doInheritStyles(url)

Optionally apply an external linked style sheet (called from connectedCallback)

##### Parameters:

Name | Type | Description
--- | --- | ---
`url` | * | The URL for the linked style sheet

Source:
  - alpha/state-timeline.js, line 336

#### (async) doInheritStyles(url)

Optionally apply an external linked style sheet (called from connectedCallback)

##### Parameters:

Name | Type | Description
--- | --- | ---
`url` | * | The URL for the linked style sheet

Source:
  - alpha/state-timeline.js, line 336

#### updateState(stateName)

Updates the timeline with a new state

##### Parameters:

Name | Type | Description
--- | --- | ---
`stateName` | string | Name of the state

Source:
  - alpha/state-timeline.js, line 352

#### updateState(stateName)

Updates the timeline with a new state

##### Parameters:

Name | Type | Description
--- | --- | ---
`stateName` | string | Name of the state

Source:
  - alpha/state-timeline.js, line 352

#### updateState(stateName)

Updates the timeline with a new state

##### Parameters:

Name | Type | Description
--- | --- | ---
`stateName` | string | Name of the state

Source:
  - alpha/state-timeline.js, line 352

#### (static) deepAssign(target, …sources) → {object}

Utility object deep merge fn

##### Parameters:

Name | Type | Attributes | Description
--- | --- | --- | ---
`target` | object |  | Target object to merge into
`sources` | object | <repeatable> | Source objects to merge

Source:
  - alpha/state-timeline.js, line 424

##### Returns:

Deep merged object

Type
  object

#### (static) deepAssign(target, …sources) → {object}

Utility object deep merge fn

##### Parameters:

Name | Type | Attributes | Description
--- | --- | --- | ---
`target` | object |  | Target object to merge into
`sources` | object | <repeatable> | Source objects to merge

Source:
  - alpha/state-timeline.js, line 424

##### Returns:

Deep merged object

Type
  object

#### (static) deepAssign(target, …sources) → {object}

Utility object deep merge fn

##### Parameters:

Name | Type | Attributes | Description
--- | --- | --- | ---
`target` | object |  | Target object to merge into
`sources` | object | <repeatable> | Source objects to merge

Source:
  - alpha/state-timeline.js, line 424

##### Returns:

Deep merged object

Type
  object

## StateTimeline()

#### new StateTimeline()

NB: Attributes not available here - use connectedCallback to reference

Source:
  - alpha/state-timeline.js, line 213

### Members

#### $ :function

Mini jQuery-like shadow dom selector (see constructor)

##### Type:

- function

Source:
  - alpha/state-timeline.js, line 141

#### $ :function

Mini jQuery-like shadow dom selector (see constructor)

##### Type:

- function

Source:
  - alpha/state-timeline.js, line 141

#### $ :function

Mini jQuery-like shadow dom selector (see constructor)

##### Type:

- function

Source:
  - alpha/state-timeline.js, line 141

#### $$ :function

Mini jQuery-like shadow dom multi-selector (see constructor)

##### Type:

- function

Source:
  - alpha/state-timeline.js, line 147

#### $$ :function

Mini jQuery-like shadow dom multi-selector (see constructor)

##### Type:

- function

Source:
  - alpha/state-timeline.js, line 147

#### $$ :function

Mini jQuery-like shadow dom multi-selector (see constructor)

##### Type:

- function

Source:
  - alpha/state-timeline.js, line 147

#### _iCount

Holds a count of how many instances of this component are on the page Used to ensure a unique id if needing to add one dynamically

Source:
  - alpha/state-timeline.js, line 151

#### _iCount

Holds a count of how many instances of this component are on the page Used to ensure a unique id if needing to add one dynamically

Source:
  - alpha/state-timeline.js, line 151

#### _iCount

Holds a count of how many instances of this component are on the page Used to ensure a unique id if needing to add one dynamically

Source:
  - alpha/state-timeline.js, line 151

#### online

Are we online?

Source:
  - alpha/state-timeline.js, line 133

#### online

Are we online?

Source:
  - alpha/state-timeline.js, line 133

#### online

Are we online?

Source:
  - alpha/state-timeline.js, line 133

#### opts

Runtime configuration settings

Source:
  - alpha/state-timeline.js, line 180

#### opts

Runtime configuration settings

Source:
  - alpha/state-timeline.js, line 180

#### opts

Runtime configuration settings

Source:
  - alpha/state-timeline.js, line 180

#### states :HTMLCollectionOf.<Element>

LIVE ref to all state divs - updates automatically as new states are added

##### Type:

- HTMLCollectionOf.<Element>

Source:
  - alpha/state-timeline.js, line 247

#### states :HTMLCollectionOf.<Element>

LIVE ref to all state divs - updates automatically as new states are added

##### Type:

- HTMLCollectionOf.<Element>

Source:
  - alpha/state-timeline.js, line 247

#### states :HTMLCollectionOf.<Element>

LIVE ref to all state divs - updates automatically as new states are added

##### Type:

- HTMLCollectionOf.<Element>

Source:
  - alpha/state-timeline.js, line 247

#### uib

Is UIBUILDER loaded?

Source:
  - alpha/state-timeline.js, line 135

#### uib

Is UIBUILDER loaded?

Source:
  - alpha/state-timeline.js, line 135

#### uib

Is UIBUILDER loaded?

Source:
  - alpha/state-timeline.js, line 135

#### version

Component version

Source:
  - alpha/state-timeline.js, line 128

#### version

Report the current component version string

Source:
  - alpha/state-timeline.js, line 206

#### version

Component version

Source:
  - alpha/state-timeline.js, line 128

#### version

Report the current component version string

Source:
  - alpha/state-timeline.js, line 206

#### version

Component version

Source:
  - alpha/state-timeline.js, line 128

#### version

Report the current component version string

Source:
  - alpha/state-timeline.js, line 206

#### (static) observedAttributes

Makes HTML attribute change watched

Source:
  - alpha/state-timeline.js, line 199

#### (static) observedAttributes

Makes HTML attribute change watched

Source:
  - alpha/state-timeline.js, line 199

#### (static) observedAttributes

Makes HTML attribute change watched

Source:
  - alpha/state-timeline.js, line 199

### Methods

#### attributeChangedCallback(attrib, oldVal, newVal)

Handle watched attributes NOTE: On initial startup, this is called for each watched attrib set in HTML - BEFORE connectedCallback is called. Attribute values can only ever be strings

##### Parameters:

Name | Type | Description
--- | --- | ---
`attrib` | string | The name of the attribute that is changing
`oldVal` | string | The old value of the attribute
`newVal` | string | The new value of the attribute

Source:
  - alpha/state-timeline.js, line 299

#### attributeChangedCallback(attrib, oldVal, newVal)

Handle watched attributes NOTE: On initial startup, this is called for each watched attrib set in HTML - BEFORE connectedCallback is called. Attribute values can only ever be strings

##### Parameters:

Name | Type | Description
--- | --- | ---
`attrib` | string | The name of the attribute that is changing
`oldVal` | string | The old value of the attribute
`newVal` | string | The new value of the attribute

Source:
  - alpha/state-timeline.js, line 299

#### attributeChangedCallback(attrib, oldVal, newVal)

Handle watched attributes NOTE: On initial startup, this is called for each watched attrib set in HTML - BEFORE connectedCallback is called. Attribute values can only ever be strings

##### Parameters:

Name | Type | Description
--- | --- | ---
`attrib` | string | The name of the attribute that is changing
`oldVal` | string | The old value of the attribute
`newVal` | string | The new value of the attribute

Source:
  - alpha/state-timeline.js, line 299

#### config(config) → {object}

OPTIONAL. Update runtime configuration, return complete config

##### Parameters:

Name | Type | Description
--- | --- | ---
`config` | object | undefined | If present, partial or full set of options. If undefined, fn returns the current full option settings

Source:
  - alpha/state-timeline.js, line 326

##### Returns:

The current full option settings

Type
  object

#### config(config) → {object}

OPTIONAL. Update runtime configuration, return complete config

##### Parameters:

Name | Type | Description
--- | --- | ---
`config` | object | undefined | If present, partial or full set of options. If undefined, fn returns the current full option settings

Source:
  - alpha/state-timeline.js, line 326

##### Returns:

The current full option settings

Type
  object

#### config(config) → {object}

OPTIONAL. Update runtime configuration, return complete config

##### Parameters:

Name | Type | Description
--- | --- | ---
`config` | object | undefined | If present, partial or full set of options. If undefined, fn returns the current full option settings

Source:
  - alpha/state-timeline.js, line 326

##### Returns:

The current full option settings

Type
  object

#### connectedCallback()

Runs when an instance is added to the DOM

Source:
  - alpha/state-timeline.js, line 226

#### connectedCallback()

Runs when an instance is added to the DOM

Source:
  - alpha/state-timeline.js, line 226

#### connectedCallback()

Runs when an instance is added to the DOM

Source:
  - alpha/state-timeline.js, line 226

#### disconnectedCallback()

Runs when an instance is added to the DOM

Source:
  - alpha/state-timeline.js, line 280

#### disconnectedCallback()

Runs when an instance is added to the DOM

Source:
  - alpha/state-timeline.js, line 280

#### disconnectedCallback()

Runs when an instance is added to the DOM

Source:
  - alpha/state-timeline.js, line 280

#### (async) doInheritStyles(url)

Optionally apply an external linked style sheet (called from connectedCallback)

##### Parameters:

Name | Type | Description
--- | --- | ---
`url` | * | The URL for the linked style sheet

Source:
  - alpha/state-timeline.js, line 336

#### (async) doInheritStyles(url)

Optionally apply an external linked style sheet (called from connectedCallback)

##### Parameters:

Name | Type | Description
--- | --- | ---
`url` | * | The URL for the linked style sheet

Source:
  - alpha/state-timeline.js, line 336

#### (async) doInheritStyles(url)

Optionally apply an external linked style sheet (called from connectedCallback)

##### Parameters:

Name | Type | Description
--- | --- | ---
`url` | * | The URL for the linked style sheet

Source:
  - alpha/state-timeline.js, line 336

#### updateState(stateName)

Updates the timeline with a new state

##### Parameters:

Name | Type | Description
--- | --- | ---
`stateName` | string | Name of the state

Source:
  - alpha/state-timeline.js, line 352

#### updateState(stateName)

Updates the timeline with a new state

##### Parameters:

Name | Type | Description
--- | --- | ---
`stateName` | string | Name of the state

Source:
  - alpha/state-timeline.js, line 352

#### updateState(stateName)

Updates the timeline with a new state

##### Parameters:

Name | Type | Description
--- | --- | ---
`stateName` | string | Name of the state

Source:
  - alpha/state-timeline.js, line 352

#### (static) deepAssign(target, …sources) → {object}

Utility object deep merge fn

##### Parameters:

Name | Type | Attributes | Description
--- | --- | --- | ---
`target` | object |  | Target object to merge into
`sources` | object | <repeatable> | Source objects to merge

Source:
  - alpha/state-timeline.js, line 424

##### Returns:

Deep merged object

Type
  object

#### (static) deepAssign(target, …sources) → {object}

Utility object deep merge fn

##### Parameters:

Name | Type | Attributes | Description
--- | --- | --- | ---
`target` | object |  | Target object to merge into
`sources` | object | <repeatable> | Source objects to merge

Source:
  - alpha/state-timeline.js, line 424

##### Returns:

Deep merged object

Type
  object

#### (static) deepAssign(target, …sources) → {object}

Utility object deep merge fn

##### Parameters:

Name | Type | Attributes | Description
--- | --- | --- | ---
`target` | object |  | Target object to merge into
`sources` | object | <repeatable> | Source objects to merge

Source:
  - alpha/state-timeline.js, line 424

##### Returns:

Deep merged object

Type
  object

## StateTimeline()

#### new StateTimeline()

NB: Attributes not available here - use connectedCallback to reference

Source:
  - alpha/state-timeline.js, line 213

### Members

#### $ :function

Mini jQuery-like shadow dom selector (see constructor)

##### Type:

- function

Source:
  - alpha/state-timeline.js, line 141

#### $ :function

Mini jQuery-like shadow dom selector (see constructor)

##### Type:

- function

Source:
  - alpha/state-timeline.js, line 141

#### $ :function

Mini jQuery-like shadow dom selector (see constructor)

##### Type:

- function

Source:
  - alpha/state-timeline.js, line 141

#### $$ :function

Mini jQuery-like shadow dom multi-selector (see constructor)

##### Type:

- function

Source:
  - alpha/state-timeline.js, line 147

#### $$ :function

Mini jQuery-like shadow dom multi-selector (see constructor)

##### Type:

- function

Source:
  - alpha/state-timeline.js, line 147

#### $$ :function

Mini jQuery-like shadow dom multi-selector (see constructor)

##### Type:

- function

Source:
  - alpha/state-timeline.js, line 147

#### _iCount

Holds a count of how many instances of this component are on the page Used to ensure a unique id if needing to add one dynamically

Source:
  - alpha/state-timeline.js, line 151

#### _iCount

Holds a count of how many instances of this component are on the page Used to ensure a unique id if needing to add one dynamically

Source:
  - alpha/state-timeline.js, line 151

#### _iCount

Holds a count of how many instances of this component are on the page Used to ensure a unique id if needing to add one dynamically

Source:
  - alpha/state-timeline.js, line 151

#### online

Are we online?

Source:
  - alpha/state-timeline.js, line 133

#### online

Are we online?

Source:
  - alpha/state-timeline.js, line 133

#### online

Are we online?

Source:
  - alpha/state-timeline.js, line 133

#### opts

Runtime configuration settings

Source:
  - alpha/state-timeline.js, line 180

#### opts

Runtime configuration settings

Source:
  - alpha/state-timeline.js, line 180

#### opts

Runtime configuration settings

Source:
  - alpha/state-timeline.js, line 180

#### states :HTMLCollectionOf.<Element>

LIVE ref to all state divs - updates automatically as new states are added

##### Type:

- HTMLCollectionOf.<Element>

Source:
  - alpha/state-timeline.js, line 247

#### states :HTMLCollectionOf.<Element>

LIVE ref to all state divs - updates automatically as new states are added

##### Type:

- HTMLCollectionOf.<Element>

Source:
  - alpha/state-timeline.js, line 247

#### states :HTMLCollectionOf.<Element>

LIVE ref to all state divs - updates automatically as new states are added

##### Type:

- HTMLCollectionOf.<Element>

Source:
  - alpha/state-timeline.js, line 247

#### uib

Is UIBUILDER loaded?

Source:
  - alpha/state-timeline.js, line 135

#### uib

Is UIBUILDER loaded?

Source:
  - alpha/state-timeline.js, line 135

#### uib

Is UIBUILDER loaded?

Source:
  - alpha/state-timeline.js, line 135

#### version

Component version

Source:
  - alpha/state-timeline.js, line 128

#### version

Report the current component version string

Source:
  - alpha/state-timeline.js, line 206

#### version

Component version

Source:
  - alpha/state-timeline.js, line 128

#### version

Report the current component version string

Source:
  - alpha/state-timeline.js, line 206

#### version

Component version

Source:
  - alpha/state-timeline.js, line 128

#### version

Report the current component version string

Source:
  - alpha/state-timeline.js, line 206

#### (static) observedAttributes

Makes HTML attribute change watched

Source:
  - alpha/state-timeline.js, line 199

#### (static) observedAttributes

Makes HTML attribute change watched

Source:
  - alpha/state-timeline.js, line 199

#### (static) observedAttributes

Makes HTML attribute change watched

Source:
  - alpha/state-timeline.js, line 199

### Methods

#### attributeChangedCallback(attrib, oldVal, newVal)

Handle watched attributes NOTE: On initial startup, this is called for each watched attrib set in HTML - BEFORE connectedCallback is called. Attribute values can only ever be strings

##### Parameters:

Name | Type | Description
--- | --- | ---
`attrib` | string | The name of the attribute that is changing
`oldVal` | string | The old value of the attribute
`newVal` | string | The new value of the attribute

Source:
  - alpha/state-timeline.js, line 299

#### attributeChangedCallback(attrib, oldVal, newVal)

Handle watched attributes NOTE: On initial startup, this is called for each watched attrib set in HTML - BEFORE connectedCallback is called. Attribute values can only ever be strings

##### Parameters:

Name | Type | Description
--- | --- | ---
`attrib` | string | The name of the attribute that is changing
`oldVal` | string | The old value of the attribute
`newVal` | string | The new value of the attribute

Source:
  - alpha/state-timeline.js, line 299

#### attributeChangedCallback(attrib, oldVal, newVal)

Handle watched attributes NOTE: On initial startup, this is called for each watched attrib set in HTML - BEFORE connectedCallback is called. Attribute values can only ever be strings

##### Parameters:

Name | Type | Description
--- | --- | ---
`attrib` | string | The name of the attribute that is changing
`oldVal` | string | The old value of the attribute
`newVal` | string | The new value of the attribute

Source:
  - alpha/state-timeline.js, line 299

#### config(config) → {object}

OPTIONAL. Update runtime configuration, return complete config

##### Parameters:

Name | Type | Description
--- | --- | ---
`config` | object | undefined | If present, partial or full set of options. If undefined, fn returns the current full option settings

Source:
  - alpha/state-timeline.js, line 326

##### Returns:

The current full option settings

Type
  object

#### config(config) → {object}

OPTIONAL. Update runtime configuration, return complete config

##### Parameters:

Name | Type | Description
--- | --- | ---
`config` | object | undefined | If present, partial or full set of options. If undefined, fn returns the current full option settings

Source:
  - alpha/state-timeline.js, line 326

##### Returns:

The current full option settings

Type
  object

#### config(config) → {object}

OPTIONAL. Update runtime configuration, return complete config

##### Parameters:

Name | Type | Description
--- | --- | ---
`config` | object | undefined | If present, partial or full set of options. If undefined, fn returns the current full option settings

Source:
  - alpha/state-timeline.js, line 326

##### Returns:

The current full option settings

Type
  object

#### connectedCallback()

Runs when an instance is added to the DOM

Source:
  - alpha/state-timeline.js, line 226

#### connectedCallback()

Runs when an instance is added to the DOM

Source:
  - alpha/state-timeline.js, line 226

#### connectedCallback()

Runs when an instance is added to the DOM

Source:
  - alpha/state-timeline.js, line 226

#### disconnectedCallback()

Runs when an instance is added to the DOM

Source:
  - alpha/state-timeline.js, line 280

#### disconnectedCallback()

Runs when an instance is added to the DOM

Source:
  - alpha/state-timeline.js, line 280

#### disconnectedCallback()

Runs when an instance is added to the DOM

Source:
  - alpha/state-timeline.js, line 280

#### (async) doInheritStyles(url)

Optionally apply an external linked style sheet (called from connectedCallback)

##### Parameters:

Name | Type | Description
--- | --- | ---
`url` | * | The URL for the linked style sheet

Source:
  - alpha/state-timeline.js, line 336

#### (async) doInheritStyles(url)

Optionally apply an external linked style sheet (called from connectedCallback)

##### Parameters:

Name | Type | Description
--- | --- | ---
`url` | * | The URL for the linked style sheet

Source:
  - alpha/state-timeline.js, line 336

#### (async) doInheritStyles(url)

Optionally apply an external linked style sheet (called from connectedCallback)

##### Parameters:

Name | Type | Description
--- | --- | ---
`url` | * | The URL for the linked style sheet

Source:
  - alpha/state-timeline.js, line 336

#### updateState(stateName)

Updates the timeline with a new state

##### Parameters:

Name | Type | Description
--- | --- | ---
`stateName` | string | Name of the state

Source:
  - alpha/state-timeline.js, line 352

#### updateState(stateName)

Updates the timeline with a new state

##### Parameters:

Name | Type | Description
--- | --- | ---
`stateName` | string | Name of the state

Source:
  - alpha/state-timeline.js, line 352

#### updateState(stateName)

Updates the timeline with a new state

##### Parameters:

Name | Type | Description
--- | --- | ---
`stateName` | string | Name of the state

Source:
  - alpha/state-timeline.js, line 352

#### (static) deepAssign(target, …sources) → {object}

Utility object deep merge fn

##### Parameters:

Name | Type | Attributes | Description
--- | --- | --- | ---
`target` | object |  | Target object to merge into
`sources` | object | <repeatable> | Source objects to merge

Source:
  - alpha/state-timeline.js, line 424

##### Returns:

Deep merged object

Type
  object

#### (static) deepAssign(target, …sources) → {object}

Utility object deep merge fn

##### Parameters:

Name | Type | Attributes | Description
--- | --- | --- | ---
`target` | object |  | Target object to merge into
`sources` | object | <repeatable> | Source objects to merge

Source:
  - alpha/state-timeline.js, line 424

##### Returns:

Deep merged object

Type
  object

#### (static) deepAssign(target, …sources) → {object}

Utility object deep merge fn

##### Parameters:

Name | Type | Attributes | Description
--- | --- | --- | ---
`target` | object |  | Target object to merge into
`sources` | object | <repeatable> | Source objects to merge

Source:
  - alpha/state-timeline.js, line 424

##### Returns:

Deep merged object

Type
  object